import { NetManager } from "../libs/tw/manager/NetManager";

import SceneCtrl from "../libs/new_wx/ctrls/sceneCtrl";

export default (t,key='MainScene') => {
    if (t['backbtnxx'])
        t['backbtnxx'].once(egret.TouchEvent.TOUCH_TAP, () => {
            NetManager.ins.yyh_join1_index(async (success) => {
                SceneCtrl.instance.change(key);
            });
        }, this);
}